Use a preview as the picture of its entity. For a movie, give frame_number to use this frame as the picture. Clients cannot use this route.
PUT
/actions/preview-files/{preview_file_id}/set-main-preview
curl
curl -X PUT "http://api.example.com/actions/preview-files/a24a6ea4-ce75-4665-a070-57453082c25/set-main-preview?frame_number=120" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
import requests
url = "http://api.example.com/actions/preview-files/a24a6ea4-ce75-4665-a070-57453082c25/set-main-preview"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
params = {
"frame_number": 120
}
payload = None
response = requests.put(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
Request examples
{
"frame_number": 120
}
Response examples (200)
{
"id": "a24a6ea4-ce75-4665-a070-57453082c250",
"preview_file_id": "b35b7fb5-df86-5776-b181-68564193d360",
"preview_file_status": "processing"
}